<?php


use Yaf\Dispatcher;

class Bootstrap extends Yaf\Bootstrap_Abstract{

    /**
     * 项目基本初始化操作.
     */
    public function _initProject()
    {
        date_default_timezone_set('PRC');
    }

    /**
     * 初始化配置文件
     * 全局配置文件 ,环境配置文件 错误码配置文件等
     */
    public function _initConfig() {
        $globalConfig = Yaf\Application::app()->getConfig();
        Yaf\Registry::set('config', $globalConfig);
    }



    /**
     * autoload.
     *
     * @param Dispatcher $dispatcher
     */
    public function _initLoader(Dispatcher $dispatcher)
    {
        $loader = Yaf\Loader::getInstance();
        $loader->import(ROOT_PATH.'/vendor/autoload.php');
        $loader->import(APP_PATH.'/library/helper.php');
    }
}
